<div class="type-container">
    <msoft-product-type [productType]="product.type"></msoft-product-type>
</div>

<div class="name-container">
    <span class="operator-name" class="ellipsis" title="{{getOperatorName() || 'Unknown'}}">{{product.operator.name || 'Unknown'}}</span>
    <span class="ellipsis" title="{{product.name}}">{{product.name}}</span>
</div>

<div class="flag-container">
    <span class="emoji-flag" title="{{getCountryName()}}">{{getCountryFlag()}}</span>
</div>

<div class="benefits-container">
    <ng-container *ngFor="let benefit of product.benefits">
        <msoft-benefit [benefit]="benefit" title="{{benefit.additional_information || ''}}"></msoft-benefit>
    </ng-container>
</div>

<div class="tags-container">
    <ng-container *ngFor="let tag of product.tags">
        <span class="product-tag">{{tag}}</span>
    </ng-container>
</div>

<div class="validity-container">
    <span *ngIf="product.validity">{{getValidityText()}}</span>
</div>

<div class="price-container">
    <span>{{product.source?.amount | number:'1.2-2'}} {{product.source?.unit}}</span>
</div>

<div class="button-container">
    <button class="purchase" color="primary" mat-raised-button (click)="onOrderClick()">Order now</button>
</div>
